BachelierCapFloorEngine Class Reference
Pricing engines » Cap/floor engines

Bachelier-Black-formula cap/floor engine. More...

`#include <ql/pricingengines/capfloor/bacheliercapfloorengine.hpp>`

Inheritance diagram for BachelierCapFloorEngine:
[legend]

## Public Member Functions

| BachelierCapFloorEngine (const Handle< YieldTermStructure > &discountCurve, Volatility vol, const DayCounter &dc=Actual365Fixed())
| BachelierCapFloorEngine (const Handle< YieldTermStructure > &discountCurve, const Handle< Quote > &vol, const DayCounter &dc=Actual365Fixed())
| BachelierCapFloorEngine (const Handle< YieldTermStructure > &discountCurve, const Handle< OptionletVolatilityStructure > &vol)
void | calculate () const
Handle< YieldTermStructure > | termStructure ()
Handle< OptionletVolatilityStructure > | volatility ()
Public Member Functions inherited from GenericEngine< CapFloor::arguments, CapFloor::results >
PricingEngine::arguments * | getArguments () const
const PricingEngine::results * | getResults () const
void | reset ()
void | update ()
Public Member Functions inherited from Observable
| Observable (const Observable &)
Observable & | operator= (const Observable &)
void | notifyObservers ()
Public Member Functions inherited from Observer
| Observer (const Observer &)
Observer & | operator= (const Observer &)
std::pair< std::set< boost::shared_ptr< Observable > >::iterator, bool > | registerWith (const boost::shared_ptr< Observable > &)
void | registerWithObservables (const boost::shared_ptr< Observer > &)
Size | unregisterWith (const boost::shared_ptr< Observable > &)
void | unregisterWithAll ()

## Additional Inherited Members

Protected Attributes inherited from GenericEngine< CapFloor::arguments, CapFloor::results >
CapFloor::arguments | arguments_
CapFloor::results | results_

## Detailed Description

Bachelier-Black-formula cap/floor engine.